/* _content/LocalFuelSavings/Components/Layout/InputField.razor.rz.scp.css */
.input-field[b-08w0uhk1h0] {
    align-items: start;
    flex-direction: column;
    gap: 0.5em;
    justify-content: space-between;
    line-height: 120%;
    max-width: 22em;
    padding-top: 0.5em;
}

@media (min-width: 26.5625em) {
    .input-field[b-08w0uhk1h0] {
        flex-direction: row;
    }
}

.unit-label[b-08w0uhk1h0] {
    font-size: 0.8em;
    line-height: 120%;
}

input[b-08w0uhk1h0] {
    height: 1.75em;
    width: 8.5em;
}

.reset-btn[b-08w0uhk1h0] {
    background: none;
    border: none;
    outline: none;
    padding: 0.25em;
    position: absolute;
        right: 0;
}

.reset-icon[b-08w0uhk1h0] {
    height: 1em;
    width: 1em;
}

.tooltip-icon[b-08w0uhk1h0] {
    display: inline-block;
    height: 0.9em;
    margin-left: 0.5em;
    width: auto;
}

/* Hide Increment/Decrement Arrows */
/* Chrome, Safari, Edge, Opera */
input[b-08w0uhk1h0]::-webkit-outer-spin-button,
input[b-08w0uhk1h0]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number][b-08w0uhk1h0] {
    -moz-appearance: textfield;
}
/* _content/LocalFuelSavings/Components/Layout/InputFieldSet.razor.rz.scp.css */
.collapse-button[b-w67g5d1z7z] {
    background: none;
    border: none;
    outline: none;
}

.input-group[b-w67g5d1z7z] {
    flex-direction: column;
    max-width: 22em;
}

.hidden[b-w67g5d1z7z] {
    height: 0;
    opacity: 0;
    transition: 
        height ease-in-out 0.5s,
        opacity ease-in-out 0.5s;
    z-index: -1;
}

.hidden[b-w67g5d1z7z]  * {
    height: 0!important;
    padding: 0!important;
}

.shown[b-w67g5d1z7z] {
    margin-top: 1rem;
}
/* _content/LocalFuelSavings/Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-icrb2i36tb] {
    margin: auto;
    max-width: 80em;
}

header[b-icrb2i36tb] {
    align-items: center;
    flex-direction: row;
    flex-direction: column;
    justify-content: space-between;
    gap: 1em;
}

@media (min-width: 20em) {
    header[b-icrb2i36tb] {
        flex-direction: row;
        justify-content: space-between;
    }
}

.logo[b-icrb2i36tb] {
    display: block;
    height: auto;
    width: 100%;
}

@media (min-width: 20em) {
    .logo[b-icrb2i36tb] {
        display: block;
        height: 10vw;
        max-height: 3em;
        min-height: 2em;
        width: auto;
    }
}

#blazor-error-ui[b-icrb2i36tb] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss[b-icrb2i36tb] {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}
/* _content/LocalFuelSavings/Components/Layout/OutputField.razor.rz.scp.css */
p[b-1ou2u0vcu3] {
    margin: 0;
}

.output-label[b-1ou2u0vcu3] {
    font-weight: 600;
}

.output-value[b-1ou2u0vcu3] {
    font-family: var(--font-stack-titular);
}
/* _content/LocalFuelSavings/Components/Pages/Home.razor.rz.scp.css */
#region[b-plyo3pwa1n] {
    text-align: center;
}

#region > *[b-plyo3pwa1n] {
    display: block;
    margin: auto;
    margin-bottom: 0.33em;
}

@media (min-width: 31.5em) {
    #region[b-plyo3pwa1n] {
        text-align: start;
    }

    #region > *[b-plyo3pwa1n] {
        display: inline-block;
    }
}

.region-input[b-plyo3pwa1n] {
    height: 1.7em;
    width: 10.5em;
}

#intro[b-plyo3pwa1n] {
    background-color: var(--light-gray);
    flex-direction: column-reverse;
    font-size: 1.125em;
}

@media (min-width: 64em) {
    #intro[b-plyo3pwa1n] {
        flex-direction: row;
    }
}

.tool-image[b-plyo3pwa1n] {
    height: auto;
    max-height: 15em;
    object-fit: cover;
    width: 100%;
}

@media (min-width: 64em) {
    .tool-image[b-plyo3pwa1n] {
        max-height: none;
        max-width: 18em;
        width: 37.8%;
    }
}

#tool[b-plyo3pwa1n] {
    align-content: stretch;
    flex-direction: column;
    overflow: hidden;
}

@media (min-width: 48em) {
    #tool[b-plyo3pwa1n] {
        flex-direction: row;
    }
}

#tool > *[b-plyo3pwa1n] {
    align-items: stretch;
    overflow-y: auto;
}

.instructions[b-plyo3pwa1n] {
    font-family: var(--font-stack);
}

#input[b-plyo3pwa1n] {
    min-width: 18.75em;
    width: 100%;
}

@media (min-width: 64em) {
    #input[b-plyo3pwa1n] {
        width: 33%;
    }
}

#vehicle-size[b-plyo3pwa1n] {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    max-width: 22em;
}

@media (min-width: 26.5625em) {
    #vehicle-size[b-plyo3pwa1n] {
        flex-direction: row;
    }
}

#vehicle-size select[b-plyo3pwa1n] {
    height: 1.75em;
    width: 8.5em;
}

#output[b-plyo3pwa1n] {
    flex-direction: column;
}

@media (min-width: 64em) {
    #output[b-plyo3pwa1n] {
        flex-direction: row;
    }
}

.output-pane[b-plyo3pwa1n] {
    background-color: white;
}

.output-field-container[b-plyo3pwa1n] {
    align-items: baseline;
    display: inline-block;
    grid-template-columns: auto auto auto 1fr;
    column-gap: 1em;
}

.output-field-container hr[b-plyo3pwa1n] {
    grid-column: 1 / -1;
}

.output-field-container p[b-plyo3pwa1n] {
    display: inline-block;
    grid-column: 1 / -1;
}

#bev-output[b-plyo3pwa1n] {
    border-top: var(--violet) thick solid;
}

#phev-output[b-plyo3pwa1n] {
    border-top: var(--process-blue) thick solid;
}

#call-to-action[b-plyo3pwa1n] {
    display: grid;
    gap: 0.5em;
}

@media (min-width: 48em) {
    #call-to-action[b-plyo3pwa1n] {
        gap: 1em;
        grid-template-columns: 1fr auto;
    }
}

@media (min-width: 64em) {
    #call-to-action[b-plyo3pwa1n] {
        grid-template-columns: 1fr 1fr;
    }
}

.call-to-action-text[b-plyo3pwa1n] {
    margin: 0;
}

.call-to-action-btn-wrapper[b-plyo3pwa1n] {
    text-align: center;
}

@media (min-width: 48em) {
    .call-to-action-btn-wrapper[b-plyo3pwa1n] {
        text-align: initial;
    }
}

.call-to-action-btn[b-plyo3pwa1n] {
    background: var(--gold);
    border-radius: 0.5em;
    color: black;
    font-weight: bold;
    margin: auto;
}

.call-to-action-btn:hover[b-plyo3pwa1n] {
    filter: brightness(115%);
}
